NestedFormTag (Struts Taglib 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.nested.html
Class NestedFormTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.struts.taglib.html.FormTag
              org.apache.struts.taglib.nested.html.NestedFormTag

All Implemented Interfaces:
  Serializable, IterationTag, Tag, NestedNameSupport, NestedPropertySupport, NestedTagSupport

    public class NestedFormTag

extends FormTag
implements NestedNameSupport

NestedFormTag.

Since:
  Struts 1.1
Version:
  $Rev: 471754 $ $Date: 2004-10-16 12:38:42 -0400 (Sat, 16 Oct 2004) $
See Also:
  Serialized Form

Field Summary
`protected String` | `name` The name

Fields inherited from class org.apache.struts.taglib.html.FormTag
`acceptCharset, action, beanName, beanScope, beanType, enctype, focus, focusIndex, lineEnd, mapping, messages, method, moduleConfig, onreset, onsubmit, readonly, scriptLanguage, servlet, style, styleClass, styleId, target`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`NestedFormTag()`

Method Summary
`int` | `doEndTag()` This is only overriden to clean up the include reference
`int` | `doStartTag()` Overriding to allow the chance to set the details of the system, so that dynamic includes can be possible
`String` | `getName()` Return the name.
`String` | `getProperty()` Get the string value of the "property" property.
`void` | `release()` Release the tag's resources and reset the values.
`void` | `setName(String name)` Set the name.
`void` | `setProperty(String newProperty)` Setter for the "property" property

Methods inherited from class org.apache.struts.taglib.html.FormTag
`getAcceptCharset, getAction, getAutocomplete, getBeanName, getDir, getEnctype, getFocus, getFocusIndex, getLang, getMethod, getOnreset, getOnsubmit, getScriptLanguage, getStyle, getStyleClass, getStyleId, getTarget, initFormBean, isDisabled, isReadonly, lookup, renderAction, renderAttribute, renderFocusJavascript, renderFormStartElement, renderName, renderOtherAttributes, renderToken, setAcceptCharset, setAction, setAutocomplete, setDir, setDisabled, setEnctype, setFocus, setFocusIndex, setLang, setMethod, setOnreset, setOnsubmit, setReadonly, setScriptLanguage, setStyle, setStyleClass, setStyleId, setTarget`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected String name

  The name

Constructor Detail

### NestedFormTag

    public NestedFormTag()

Method Detail

### getName

    public String getName()

  Return the name.

  Specified by:
    `getName` in interface `NestedNameSupport`
  Returns:
    String value of the tags' name property

### setName

    public void setName(String name)

  Set the name.

  Specified by:
    `setName` in interface `NestedNameSupport`
  Parameters:
    `name` - The new name

### getProperty

    public String getProperty()

  Get the string value of the "property" property.

  Specified by:
    `getProperty` in interface `NestedPropertySupport`
  Returns:
    the property property

### setProperty

    public void setProperty(String newProperty)

  Setter for the "property" property

  Specified by:
    `setProperty` in interface `NestedPropertySupport`
  Parameters:
    `newProperty` - new value for the property

### doStartTag

    public int doStartTag()
                   throws JspException

  Overriding to allow the chance to set the details of the system, so that dynamic includes can be possible

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `FormTag`
  Returns:
    int JSP continuation directive.
  Throws:
    `JspException` - if a JSP exception has occurred

### doEndTag

    public int doEndTag()
                 throws JspException

  This is only overriden to clean up the include reference

  Specified by:
    `doEndTag` in interface `Tag`
  Overrides:
    `doEndTag` in class `FormTag`
  Returns:
    int JSP continuation directive.
  Throws:
    `JspException` - if a JSP exception has occurred

### release

    public void release()

  Release the tag's resources and reset the values.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `FormTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.